/*
 * bug_3207.cpp
 *
 *  Created on: Feb 8, 2018
 *      Author: cady
 */
#include "hdb_data.hpp"
#include "yaml_data.hpp"

std::string test_data::bug_3207_yml()
{
    return R"(
rotations convention: [psi, theta', phi'']
environmental constants:
    g: {value: 9.81, unit: m/s^2}
    rho: {value: 1025, unit: kg/m^3}
    nu: {value: 1.18e-6, unit: m^2/s}
environment models:
  - model: no waves
    constant sea elevation in NED frame: {value: 0, unit: m}
# Fixed frame: NED
bodies: # All bodies have NED as parent frame
  - name: TestShip
    mesh: test_ship.stl
    position of body frame relative to mesh:
        frame: mesh
        x: {value: 9.355, unit: m}
        y: {value: 0, unit: m}
        z: {value: -3.21, unit: m}
        phi: {value: 0, unit: rad}
        theta: {value: 0, unit: rad}
        psi: {value: 0, unit: rad}
    initial position of body frame relative to NED:
        frame: NED
        x: {value: 0, unit: m}
        y: {value: 0, unit: m}
        z: {value: -0.099, unit: m}
        phi: {value: 0, unit: deg}
        theta: {value: -.334, unit: deg}
        psi: {value: 0, unit: deg}
    initial velocity of body frame relative to NED:
        frame: TestShip
        u: {value: 0, unit: m/s}
        v: {value: 0, unit: m/s}
        w: {value: 0, unit: m/s}
        p: {value: 0, unit: rad/s}
        q: {value: 0, unit: rad/s}
        r: {value: 0, unit: rad/s}
    dynamics:
        hydrodynamic forces calculation point in body frame:
            x: {value: 0.696, unit: m}
            y: {value: 0, unit: m}
            z: {value: 1.418, unit: m}
        centre of inertia:
            frame: TestShip
            x: {value: 0.258, unit: m}
            y: {value: 0, unit: m}
            z: {value: 0.432, unit: m}
        rigid body inertia matrix at the center of gravity and projected in the body frame:
            row 1: [253310,0,0,0,0,0]
            row 2: [0,253310,0,0,0,0]
            row 3: [0,0,253310,0,0,0]
            row 4: [0,0,0,1.522e6,0,0]
            row 5: [0,0,0,0,8.279e6,0]
            row 6: [0,0,0,0,0,7.676e6]
        added mass matrix at the center of gravity and projected in the body frame:
            row 1: [3.519e4,0,0,0,0,0]
            row 2: [0,3.023e5,0,0,0,0]
            row 3: [0,0,1.980e5,0,0,0]
            row 4: [0,0,0,3.189e5,0,0]
            row 5: [0,0,0,0,8.866e6,0]
            row 6: [0,0,0,0,0,6.676e6]
    external forces:
      - model: gravity
      - model: non-linear hydrostatic (exact)
      - model: radiation damping
        hdb: bug_3207.hdb
        type of quadrature for cos transform: simpson
        type of quadrature for convolution: trapezoidal
        nb of points for retardation function discretization: 50
        omega min: {value: 0, unit: rad/s}
        omega max: {value: 30, unit: rad/s}
        tau min: {value: 0.2094395, unit: s}
        tau max: {value: 10, unit: s}
        output Br and K: false
        calculation point in body frame:
            x: {value: 0.696, unit: m}
            y: {value: 0, unit: m}
            z: {value: 1.418, unit: m}
output:
  - format: map
    data: [t, 'p(TestShip)', 'Mx(radiation damping,TestShip,TestShip)', 'q(TestShip)', 'My(radiation damping,TestShip,TestShip)', 'r(TestShip)', 'Mz(radiation damping,TestShip,TestShip)',
           'u(TestShip)', 'Fx(radiation damping,TestShip,TestShip)', 'v(TestShip)', 'Fy(radiation damping,TestShip,TestShip)', 'w(TestShip)', 'Fz(radiation damping,TestShip,TestShip)',
           'Fx(radiation damping,TestShip,TestShip)', 'Fy(radiation damping,TestShip,TestShip)', 'Fz(radiation damping,TestShip,TestShip)', 'Mx(radiation damping,TestShip,TestShip)', 'My(radiation damping,TestShip,TestShip)', 'Mz(radiation damping,TestShip,TestShip)']
)";
}

std::string test_data::bug_3207_hdb()
{
    return R"( [SOFT] AQUA+
[FORWARD_SPEED]   0.00
[PERIODS_NUMBER]  6
[HEADINGS_NUMBER] 13
[LOWEST_HEADINGS]   0.00
[HIGHEST_HEADINGS] 180.00
 [List_calculated_periods]
   1.00
   2.00
   3.00
   3.50
   3.80
   4.00
 [List_calculated_headings]
   0.000000
   15.00000
   30.00000
   45.00000
   60.00000
   75.00000
   90.00000
   105.0000
   120.0000
   135.0000
   150.0000
   165.0000
   180.0000
 [Mass_Inertia_matrix]
   2.533000E+05  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  2.533000E+05  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  2.533000E+05  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  1.538000E+06  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  8.295000E+06  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  8.295000E+06
 [Hydrostatic_matrix]
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  1.228062E+06 -5.273355E+01  1.412270E+06  0.000000E+00
   0.000000E+00  0.000000E+00 -5.273355E+01  1.786686E+06  9.926197E+02  0.000000E+00
   0.000000E+00  0.000000E+00  1.412270E+06  9.926197E+02  3.698791E+07  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
 [Stiffness_matrix_of_the_mooring_system]
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
 [Added_mass_Radiation_Damping]
 [ADDED_MASS_LINE_1]
    1.00  1.097184E+04 -4.534383E+01  1.489058E+04 -6.476872E+01  1.887115E+05  9.087353E+00
    2.00  9.377615E+03 -8.511539E+01  1.576359E+04  3.108509E+00  1.619423E+05  3.926564E+02
    3.00  1.426635E+04 -1.940786E+01  1.841663E+04 -3.755692E+01  1.900012E+05  3.589405E+02
    3.50  1.765988E+04 -2.229278E+01  1.878402E+04 -4.122345E+01  2.292613E+05  3.676993E+02
    3.80  2.066126E+04 -2.218779E+01  1.939457E+04 -4.426564E+01  2.686258E+05  3.974906E+02
    4.00  2.287093E+04 -2.404940E+01  1.989585E+04 -4.781980E+01  2.971014E+05  4.187755E+02
 [ADDED_MASS_LINE_2]
    1.00  5.372426E+00  1.039658E+05 -1.038983E+01  1.798326E+04  1.127642E+02  6.116315E+04
    2.00 -2.935182E+01  7.581280E+04  1.907894E+01  2.102286E+04 -2.443126E+02  2.305457E+04
    3.00  8.574823E+00  1.019513E+05  1.553684E+01  2.051240E+04  2.377617E+02  1.078476E+05
    3.50  4.355995E+00  1.434086E+05  1.251381E+00  9.963283E+03  2.165019E+02  1.510785E+05
    3.80  2.883454E+00  1.810525E+05 -1.780741E+01  4.558459E+02  1.719431E+02  1.801648E+05
    4.00  2.647226E+00  2.104009E+05 -2.568808E+01 -8.096014E+03  1.758119E+02  2.022041E+05
 [ADDED_MASS_LINE_3]
    1.00  1.503212E+04 -1.618101E+02  1.781351E+05 -1.053934E+02  3.267841E+05  6.774041E+02
    2.00  1.531090E+04 -4.298480E+02  2.203186E+05  2.804089E+01  2.702315E+05  7.822689E+02
    3.00  1.819674E+04 -8.938050E+01  2.006115E+05 -1.380014E+02  2.898955E+05  5.043515E+02
    3.50  1.876378E+04 -1.014024E+02  1.978426E+05 -1.281196E+02  3.115472E+05  5.097315E+02
    3.80  1.946553E+04 -1.010598E+02  2.019298E+05 -1.146864E+02  3.288256E+05  4.943298E+02
    4.00  2.002008E+04 -9.838268E+01  2.079440E+05 -1.041578E+02  3.420175E+05  5.038502E+02
 [ADDED_MASS_LINE_4]
    1.00  4.917638E+00  2.588053E+04 -3.457921E+01  2.133712E+05  4.443533E+01  7.469054E+04
    2.00  3.032333E+01  2.332197E+04 -5.924372E+01  2.132689E+05  2.994200E+02  3.943479E+04
    3.00  1.711077E+01  2.079004E+04 -7.208482E+01  2.347984E+05  4.372560E+02  1.344628E+05
    3.50  2.042497E+01  1.054420E+04 -3.256553E+01  2.434334E+05  5.529569E+02  2.354876E+05
    3.80  2.218796E+01  1.308074E+03 -1.958747E+01  2.543367E+05  6.080430E+02  3.345741E+05
    4.00  2.316781E+01 -6.967543E+03 -1.757932E+01  2.611223E+05  6.133826E+02  3.764413E+05
 [ADDED_MASS_LINE_5]
    1.00  1.859354E+05 -9.713239E+02  3.161598E+05 -8.541685E+02  4.817756E+06  3.160583E+03
    2.00  1.602660E+05 -1.302104E+03  2.740154E+05  1.729304E+02  4.486741E+06  6.194398E+03
    3.00  1.875589E+05 -3.175029E+02  2.917620E+05 -5.177838E+02  4.737367E+06  5.638423E+03
    3.50  2.268052E+05 -3.481577E+02  3.106372E+05 -5.747644E+02  5.362347E+06  6.020217E+03
    3.80  2.663449E+05 -3.864345E+02  3.268458E+05 -6.542410E+02  5.916935E+06  6.468757E+03
    4.00  2.949960E+05 -4.255177E+02  3.396023E+05 -7.056781E+02  6.291302E+06  6.760512E+03
 [ADDED_MASS_LINE_6]
    1.00  5.462172E+01  5.712155E+04 -5.937933E+01  1.028317E+05  1.836449E+03  2.822413E+06
    2.00  2.865504E+01  3.177763E+04 -7.121242E+02  3.945327E+04 -4.200190E+02  2.303429E+06
    3.00  7.183531E+01  1.079963E+05 -3.277566E+02  1.350857E+05  1.933200E+03  3.927239E+06
    3.50  7.776965E+01  1.514581E+05 -1.689383E+02  2.385409E+05  2.404062E+03  5.973680E+06
    3.80  8.554692E+01  1.806430E+05 -1.287307E+02  3.391022E+05  2.609118E+03  7.115878E+06
    4.00  8.684177E+01  2.025812E+05 -1.670018E+02  3.815387E+05  2.544642E+03  7.503116E+06
 [DAMPING_TERM_1]
    1.00  6.771553E+03  2.227983E+02 -1.972469E+03 -6.184581E+01  2.394869E+04  2.604126E+03
    2.00  2.542384E+04 -1.659788E+02  4.906603E+03  6.457520E-02  2.033233E+05  3.496177E+02
    3.00  3.262723E+04 -2.678910E+01  5.196370E+03 -4.789364E+01  3.433478E+05  2.298420E+02
    3.50  3.350285E+04 -3.191836E+01  4.865754E+03 -4.840477E+01  3.894360E+05  2.694471E+02
    3.80  3.310591E+04 -3.405831E+01  4.705074E+03 -5.086192E+01  3.940100E+05  2.868316E+02
    4.00  3.206742E+04 -3.725225E+01  4.365085E+03 -5.131111E+01  3.849629E+05  2.945678E+02
 [DAMPING_TERM_2]
    1.00  2.627357E+02  3.882899E+04 -1.590935E+02 -2.060180E+04  2.029487E+03  2.688877E+04
    2.00  7.000977E+01  2.194728E+05  2.595528E+02 -6.551046E+04  1.727610E+03  2.146476E+05
    3.00 -2.126821E+01  3.304231E+05 -1.614637E+02 -9.460213E+04 -2.961089E+02  3.246573E+05
    3.50 -1.590266E+01  3.530958E+05 -1.376756E+02 -1.047885E+05 -1.669650E+02  2.876145E+05
    3.80 -1.169444E+01  3.547415E+05 -1.215545E+02 -1.090470E+05 -1.026613E+02  2.662270E+05
    4.00 -1.061504E+01  3.443808E+05 -1.083372E+02 -1.092645E+05 -6.831377E+01  2.446008E+05
 [DAMPING_TERM_3]
    1.00 -4.392304E+02  2.041317E+02  3.227740E+03 -1.192475E+02  8.642476E+03  2.806813E+03
    2.00  3.492366E+03 -4.953270E+02  5.595693E+04 -5.939150E+01  1.218977E+05  3.072385E+02
    3.00  5.576528E+03 -1.068458E+00  1.488785E+05  6.372671E+00  3.253108E+05  6.554025E+02
    3.50  5.259323E+03  1.682546E+01  1.899561E+05  3.033077E+01  3.580475E+05  6.611963E+02
    3.80  4.993413E+03  3.300244E+01  2.141473E+05  3.301512E+01  3.693224E+05  7.251057E+02
    4.00  4.560412E+03  4.437338E+01  2.279424E+05  3.224393E+01  3.742311E+05  7.812135E+02
 [DAMPING_TERM_4]
    1.00 -2.162429E+02 -1.731870E+04 -1.958050E+02  1.232721E+04 -2.674917E+03  4.016051E+04
    2.00 -3.212186E+01 -9.226354E+04 -9.911536E+01  8.864859E+04 -4.868040E+02  3.577503E+05
    3.00  6.487192E+00 -9.230345E+04  1.218812E+01  8.883461E+04  2.906086E+02  4.499234E+05
    3.50  9.410748E+00 -1.023288E+05  2.063781E+01  8.694864E+04  2.407351E+02  5.155217E+05
    3.80  7.743432E+00 -1.063955E+05  5.304893E+00  8.193851E+04  1.521413E+02  4.227936E+05
    4.00  6.440893E+00 -1.067275E+05 -1.475460E+00  7.431738E+04  1.020238E+02  3.245218E+05
 [DAMPING_TERM_5]
    1.00  3.195250E+04  5.237123E+02 -2.655262E+03 -9.295876E+02  2.799648E+05  9.673719E+03
    2.00  1.970122E+05 -6.264212E+03  1.430682E+05  1.401597E+03  2.504473E+06  7.148977E+03
    3.00  3.432634E+05 -4.089743E+02  3.271621E+05 -5.805168E+02  4.688650E+06  4.037080E+03
    3.50  3.900628E+05 -5.320003E+02  3.579786E+05 -7.350831E+02  5.475764E+06  5.015597E+03
    3.80  3.951430E+05 -5.796487E+02  3.705338E+05 -7.390671E+02  5.476829E+06  5.230292E+03
    4.00  3.863047E+05 -5.974655E+02  3.763418E+05 -7.080157E+02  5.330209E+06  5.213214E+03
 [DAMPING_TERM_6]
    1.00 -1.405985E+03  2.353771E+04 -4.728444E+02  3.700960E+04 -1.866358E+04  1.238702E+06
    2.00  1.663281E+02  1.831555E+05 -1.449518E+01  3.430235E+05  2.847381E+03  5.908674E+06
    3.00  3.261749E+01  3.256301E+05  5.958583E+02  4.541284E+05  1.517889E+03  8.140204E+06
    3.50  3.227371E+01  2.878681E+05  3.060096E+02  5.210347E+05  1.261755E+03  7.680112E+06
    3.80  7.618759E+00  2.662539E+05  1.164657E+02  4.272072E+05  6.411848E+02  5.784911E+06
    4.00 -2.955811E+00  2.446208E+05  4.726715E+01  3.274147E+05  3.252891E+02  4.374308E+06
 [FROUDE-KRYLOV_FORCES_AND_MOMENTS]
 [INCIDENCE_FKFM_MOD_001]   0.000000
    1.00  1.200165E+04  1.893719E+02  2.373585E+03  2.217378E+02  2.450282E+04  1.831288E+03
    2.00  2.231911E+04  1.572288E+02  4.072667E+04  1.841146E+02  3.786741E+05  2.997607E+02
    3.00  4.454653E+04  6.198715E+01  1.529433E+05  1.686518E+02  7.067759E+05  1.722263E+02
    3.50  8.983926E+04  4.694564E+01  8.414533E+04  2.237029E+02  1.951937E+06  1.681252E+02
    3.80  1.582703E+05  3.671505E+01  1.119930E+05  2.245153E+02  2.716110E+06  1.724225E+02
    4.00  1.908930E+05  3.087534E+01  1.897287E+05  2.161797E+02  3.066335E+06  1.666437E+02
 [INCIDENCE_FKFM_MOD_002]   15.00000
    1.00  7.876434E+02  5.298045E+02  8.785347E+02  1.825250E+03  9.672805E+03  1.263378E+04
    2.00  1.601279E+04  4.472637E+03  3.173892E+04  3.147891E+04  4.092457E+05  8.631038E+04
    3.00  3.444315E+04  9.285388E+03  1.507413E+05  5.259770E+04  6.919106E+05  1.716833E+05
    3.50  1.020606E+05  2.729635E+04  7.539870E+04  4.399268E+04  2.068251E+06  3.763479E+05
    3.80  1.666161E+05  4.460409E+04  1.309881E+05  5.010179E+04  2.782103E+06  3.926319E+05
    4.00  1.964362E+05  5.260016E+04  2.124103E+05  5.332651E+04  3.099761E+06  3.791878E+05
 [INCIDENCE_FKFM_MOD_003]   30.00000
    1.00  9.217667E+02  1.240294E+03  3.490717E+02  2.519979E+03  9.959534E+03  1.456198E+04
    2.00  2.265844E+04  1.319473E+04  2.169361E+04  7.126983E+04  3.814227E+05  1.361050E+05
    3.00  5.170718E+03  2.929877E+03  1.314872E+05  9.262918E+04  8.901808E+05  5.222939E+05
    3.50  1.347913E+05  7.774210E+04  8.469712E+04  9.741464E+04  2.355013E+06  7.994481E+05
    3.80  1.863781E+05  1.075349E+05  1.959910E+05  1.095284E+05  2.913222E+06  7.784051E+05
    4.00  2.078990E+05  1.199671E+05  2.814023E+05  1.137146E+05  3.139753E+06  7.303601E+05
 [INCIDENCE_FKFM_MOD_004]   45.00000
    1.00  3.386831E+03  3.114813E+03  1.039782E+03  3.279086E+03  1.395667E+04  7.588035E+03
    2.00  1.816988E+04  1.831920E+04  3.039263E+04  7.770126E+04  6.148506E+04  2.020251E+05
    3.00  6.830927E+04  6.816299E+04  7.264470E+04  1.341019E+05  1.463552E+06  1.114061E+06
    3.50  1.711721E+05  1.710290E+05  1.806302E+05  1.722580E+05  2.593741E+06  1.197865E+06
    3.80  2.004906E+05  2.003677E+05  3.098978E+05  1.814576E+05  2.916624E+06  1.072866E+06
    4.00  2.098977E+05  2.097895E+05  3.917457E+05  1.815088E+05  3.022434E+06  9.706971E+05
 [INCIDENCE_FKFM_MOD_005]   60.00000
    1.00  5.395475E+03  8.513595E+03  4.056935E+03  5.163802E+03  2.793156E+04  5.923756E+04
    2.00  3.433700E+04  5.929716E+04  5.081732E+03  1.090268E+05  1.644824E+05  3.401326E+05
    3.00  1.298588E+05  2.245859E+05  1.181768E+05  2.319757E+05  1.859125E+06  1.603460E+06
    3.50  1.766545E+05  3.057200E+05  3.322389E+05  2.596674E+05  2.439343E+06  1.322630E+06
    3.80  1.824090E+05  3.157400E+05  4.507026E+05  2.540367E+05  2.547166E+06  1.100554E+06
    4.00  1.810319E+05  3.133854E+05  5.209813E+05  2.458168E+05  2.559763E+06  9.631736E+05
 [INCIDENCE_FKFM_MOD_006]   75.00000
    1.00  3.320272E+03  1.094666E+04  2.978016E+03  9.100063E+03  1.893924E+04  3.575029E+04
    2.00  1.997633E+04  7.428102E+04  2.668109E+04  8.799297E+04  1.510623E+05  6.329495E+05
    3.00  1.137547E+05  4.239122E+05  2.755056E+05  3.375528E+05  1.455446E+06  1.285005E+06
    3.50  1.173019E+05  4.373844E+05  4.734578E+05  3.255708E+05  1.685463E+06  9.045233E+05
    3.80  1.122067E+05  4.184700E+05  5.714179E+05  3.052978E+05  1.722468E+06  7.173922E+05
    4.00  1.075882E+05  4.012842E+05  6.281657E+05  2.900957E+05  1.725602E+06  6.141336E+05
 [INCIDENCE_FKFM_MOD_007]   90.00000
    1.00  3.444583E+02  2.285558E+04  8.154354E+03  6.732549E+03  4.709462E+04  4.641670E+04
    2.00  2.096891E+02  9.285125E+04  5.215254E+04  1.283902E+05  1.652700E+05  6.241334E+05
    3.00  6.646783E+01  5.203203E+05  3.499123E+05  3.749028E+05  6.744157E+05  1.459181E+04
    3.50  7.244095E+01  4.937018E+05  5.317766E+05  3.479402E+05  9.417779E+05  5.766786E+04
    3.80  6.845901E+01  4.604617E+05  6.195094E+05  3.227565E+05  1.048783E+06  6.089768E+04
    4.00  6.491972E+01  4.363710E+05  6.701719E+05  3.052329E+05  1.104240E+06  5.940874E+04
 [INCIDENCE_FKFM_MOD_008]   105.0000
    1.00  2.992582E+03  1.081713E+04  2.975003E+03  9.111382E+03  1.842956E+04  3.782720E+04
    2.00  1.991291E+04  7.430951E+04  2.674059E+04  8.804549E+04  1.508890E+05  6.328958E+05
    3.00  1.137408E+05  4.238916E+05  2.754492E+05  3.375703E+05  1.455651E+06  1.285065E+06
    3.50  1.172892E+05  4.373753E+05  4.734240E+05  3.256159E+05  1.685613E+06  9.045759E+05
    3.80  1.121957E+05  4.184636E+05  5.713934E+05  3.053491E+05  1.722587E+06  7.174330E+05
    4.00  1.075780E+05  4.012797E+05  6.281461E+05  2.901493E+05  1.725708E+06  6.141657E+05
 [INCIDENCE_FKFM_MOD_009]   120.0000
    1.00  5.552313E+03  8.709200E+03  3.974457E+03  5.391573E+03  2.861188E+04  5.843223E+04
    2.00  3.431161E+04  5.945696E+04  5.075937E+03  1.092058E+05  1.648921E+05  3.392417E+05
    3.00  1.298643E+05  2.245779E+05  1.180790E+05  2.321866E+05  1.859261E+06  1.603233E+06
    3.50  1.766496E+05  3.057136E+05  3.321813E+05  2.598570E+05  2.439489E+06  1.322512E+06
    3.80  1.824021E+05  3.157346E+05  4.506607E+05  2.542069E+05  2.547293E+06  1.100480E+06
    4.00  1.810249E+05  3.133809E+05  5.209465E+05  2.459753E+05  2.559875E+06  9.631187E+05
 [INCIDENCE_FKFM_MOD_010]   135.0000
    1.00  3.412049E+03  3.511369E+03  1.014810E+03  3.771125E+03  1.375800E+04  7.073716E+03
    2.00  1.814097E+04  1.805858E+04  3.040002E+04  7.745627E+04  6.148839E+04  2.018341E+05
    3.00  6.832790E+04  6.819683E+04  7.265357E+04  1.342486E+05  1.463445E+06  1.113744E+06
    3.50  1.711750E+05  1.710406E+05  1.805652E+05  1.725745E+05  2.593808E+06  1.197600E+06
    3.80  2.004889E+05  2.003726E+05  3.098497E+05  1.817581E+05  2.916708E+06  1.072671E+06
    4.00  2.098946E+05  2.097917E+05  3.917063E+05  1.817888E+05  3.022516E+06  9.705431E+05
 [INCIDENCE_FKFM_MOD_011]   150.0000
    1.00  1.398996E+03  4.461335E+02  3.568170E+02  1.593243E+03  9.797273E+03  1.249034E+04
    2.00  2.268168E+04  1.315182E+04  2.169904E+04  7.117745E+04  3.815413E+05  1.355292E+05
    3.00  5.174277E+03  3.018644E+03  1.315224E+05  9.243422E+04  8.898901E+05  5.220817E+05
    3.50  1.347977E+05  7.777856E+04  8.465115E+04  9.770941E+04  2.354999E+06  7.991198E+05
    3.80  1.863799E+05  1.075549E+05  1.959505E+05  1.098903E+05  2.913250E+06  7.781330E+05
    4.00  2.078986E+05  1.199801E+05  2.813689E+05  1.140730E+05  3.139793E+06  7.301326E+05
 [INCIDENCE_FKFM_MOD_012]   165.0000
    1.00  6.260492E+02  1.246103E+02  8.939716E+02  1.918462E+03  9.646034E+03  8.901774E+03
    2.00  1.602117E+04  4.442811E+03  3.174720E+04  3.157051E+04  4.094228E+05  8.644923E+04
    3.00  3.443425E+04  9.190916E+03  1.507582E+05  5.227512E+04  6.917419E+05  1.716032E+05
    3.50  1.020652E+05  2.735313E+04  7.539263E+04  4.416570E+04  2.068212E+06  3.760087E+05
    3.80  1.666180E+05  4.463678E+04  1.309656E+05  5.045514E+04  2.782104E+06  3.923252E+05
    4.00  1.964370E+05  5.262235E+04  2.123913E+05  5.370910E+04  3.099776E+06  3.789213E+05
 [INCIDENCE_FKFM_MOD_013]   180.0000
    1.00  1.200164E+04  1.893740E+02  2.373585E+03  2.217396E+02  2.450282E+04  1.831294E+03
    2.00  2.231911E+04  1.572218E+02  4.072667E+04  1.841075E+02  3.786741E+05  2.997895E+02
    3.00  4.454653E+04  6.198762E+01  1.529433E+05  1.686522E+02  7.067759E+05  1.721888E+02
    3.50  8.983925E+04  4.694006E+01  8.414533E+04  2.237117E+02  1.951937E+06  1.682732E+02
    3.80  1.582703E+05  3.670144E+01  1.119930E+05  2.245116E+02  2.716110E+06  1.725514E+02
    4.00  1.908930E+05  3.085074E+01  1.897287E+05  2.161686E+02  3.066335E+06  1.667611E+02
 [INCIDENCE_FKFM_PH_001]   0.000000
    1.00 -2.051859E-01 -1.027603E+00  1.280581E+00  2.052865E+00  1.084896E+00  2.337475E+00
    2.00  3.997016E-01 -6.265106E-01  1.517626E+00  1.878888E+00  1.879900E+00  1.460646E+00
    3.00 -6.682873E-02 -5.777121E-01  1.147249E+00  2.545288E+00  9.529698E-01 -3.897538E-01
    3.50  2.981226E+00 -9.732363E-01  2.152681E+00  2.165509E+00  2.566526E+00 -1.596554E+00
    3.80  3.043827E+00 -1.129741E+00 -2.645656E+00  2.131609E+00  2.801365E+00 -1.978910E+00
    4.00  3.065458E+00 -1.215948E+00 -2.270787E+00  2.131723E+00  2.902603E+00 -2.136726E+00
 [INCIDENCE_FKFM_PH_002]   15.00000
    1.00 -8.374729E-01 -2.901328E+00 -7.839203E-03 -1.754904E+00 -8.441277E-01 -6.426287E-01
    2.00  8.812258E-01  8.753235E-01  1.822545E+00 -2.458166E+00  2.211933E+00 -1.842349E+00
    3.00 -1.276255E-02 -1.797295E-02  1.218169E+00  2.738616E+00  1.250548E+00 -1.814420E+00
    3.50  3.000681E+00  3.000954E+00  2.417750E+00 -2.170438E+00  2.623038E+00 -1.597197E+00
    3.80  3.052381E+00  3.052420E+00 -2.501215E+00 -1.648817E+00  2.835624E+00 -1.563018E+00
    4.00  3.071370E+00  3.071355E+00 -2.208325E+00 -1.427682E+00  2.930626E+00 -1.549473E+00
 [INCIDENCE_FKFM_PH_003]   30.00000
    1.00  7.286787E-01  1.632586E+00  2.295725E+00 -1.036013E+00  4.138598E-01  1.538734E-01
    2.00  2.573579E+00  2.556916E+00 -2.829666E+00 -1.426082E+00  2.791581E+00 -1.417694E+00
    3.00  1.911390E+00  1.891532E+00  1.438741E+00 -3.106381E+00  2.005050E+00 -1.678120E+00
    3.50  3.042103E+00  3.041773E+00 -2.927646E+00 -1.821190E+00  2.764822E+00 -1.572003E+00
    3.80  3.073217E+00  3.072929E+00 -2.230016E+00 -1.430017E+00  2.930324E+00 -1.549214E+00
    4.00  3.086263E+00  3.086000E+00 -2.070801E+00 -1.256637E+00  3.010953E+00 -1.539453E+00
 [INCIDENCE_FKFM_PH_004]   45.00000
    1.00 -2.138062E-01 -1.836367E-01  2.742532E+00  2.609823E+00 -3.312712E-01  3.888426E-01
    2.00  2.677540E+00  2.687165E+00 -1.900215E+00 -1.649547E-01 -1.704869E+00  1.697258E+00
    3.00  3.034777E+00  3.034273E+00  2.098917E+00 -2.255379E+00  2.583476E+00 -1.585240E+00
    3.50  3.082505E+00  3.082116E+00 -2.224545E+00 -1.389117E+00  2.950999E+00 -1.546222E+00
    3.80  3.097060E+00  3.096723E+00 -2.004334E+00 -1.136385E+00  3.074107E+00 -1.533382E+00
    4.00  3.104185E+00  3.103873E+00 -1.926232E+00 -1.013509E+00  3.140213E+00 -1.526996E+00
 [INCIDENCE_FKFM_PH_005]   60.00000
    1.00 -1.510474E+00 -1.562449E+00  1.240192E+00  1.618324E+00 -1.259158E+00 -1.730313E+00
    2.00  1.496558E-01  1.480689E-01  2.852466E+00  2.079230E+00 -4.731522E-01  1.122222E+00
    3.00  3.109320E+00  3.108859E+00 -2.300399E+00 -1.376100E+00  2.960460E+00 -1.544146E+00
    3.50  3.112296E+00  3.111888E+00 -1.918461E+00 -9.526808E-01 -3.101002E+00 -1.526994E+00
    3.80  3.117234E+00  3.116850E+00 -1.834824E+00 -7.992668E-01 -3.003201E+00 -1.517374E+00
    4.00  3.120251E+00  3.119882E+00 -1.796709E+00 -7.186308E-01 -2.946067E+00 -1.511681E+00
 [INCIDENCE_FKFM_PH_006]   75.00000
    1.00 -2.530897E+00 -2.511341E+00  1.165737E+00  5.069876E-01 -3.019136E+00 -1.282168E+00
    2.00 -1.146480E+00 -1.141443E+00  9.696915E-01 -2.077214E+00 -4.451957E-01 -1.197510E+00
    3.00  3.135624E+00  3.135008E+00 -1.816617E+00 -6.849871E-01 -2.906806E+00 -1.539467E+00
    3.50  3.130902E+00  3.130262E+00 -1.727743E+00 -4.957104E-01 -2.720412E+00 -1.501758E+00
    3.80  3.131833E+00  3.131203E+00 -1.696314E+00 -4.184613E-01 -2.627900E+00 -1.483291E+00
    4.00  3.132732E+00  3.132110E+00 -1.680392E+00 -3.767042E-01 -2.571858E+00 -1.472412E+00
 [INCIDENCE_FKFM_PH_007]   90.00000
    1.00  2.686640E+00  3.140458E+00 -1.568418E+00 -1.085281E-03 -1.568172E+00 -1.565552E-02
    2.00  1.678170E+00 -3.141520E+00  1.570505E+00 -4.162788E-04  1.570633E+00  3.141466E+00
    3.00 -1.739366E+00  3.141588E+00 -1.570817E+00 -8.964539E-05 -1.570486E+00  8.036613E-03
    3.50 -1.678282E+00 -3.141591E+00 -1.570807E+00 -5.435944E-05 -1.570611E+00  1.070976E-03
    3.80 -1.663512E+00 -3.141587E+00 -1.570804E+00 -3.528595E-05 -1.570651E+00  6.704330E-04
    4.00 -1.656532E+00 -3.141586E+00 -1.570803E+00 -2.241135E-05 -1.570670E+00  5.125999E-04
 [INCIDENCE_FKFM_PH_008]   105.0000
    1.00 -4.735994E-01  2.545108E+00  1.989587E+00 -4.862471E-01 -9.588480E-02  1.312208E+00
    2.00 -1.995184E+00  1.141234E+00  2.173455E+00  2.079983E+00 -2.698295E+00  1.198074E+00
    3.00  6.213188E-03 -3.134982E+00 -1.325073E+00  6.850510E-01 -2.344666E-01  1.539340E+00
    3.50  1.081800E-02 -3.130239E+00 -1.413889E+00  4.957275E-01 -4.209590E-01  1.501619E+00
    3.80  9.853363E-03 -3.131178E+00 -1.445304E+00  4.184828E-01 -5.135069E-01  1.483153E+00
    4.00  8.939266E-03 -3.132085E+00 -1.461220E+00  3.767347E-01 -5.695658E-01  1.472276E+00
 [INCIDENCE_FKFM_PH_009]   120.0000
    1.00 -1.582588E+00  1.596793E+00  1.918122E+00 -1.564127E+00 -1.867770E+00  1.699405E+00
    2.00  2.993522E+00 -1.463203E-01  2.925353E-01 -2.081203E+00 -2.665111E+00 -1.121151E+00
    3.00  3.249121E-02 -3.108672E+00 -8.413053E-01  1.376050E+00  1.812778E-01  1.544040E+00
    3.50  2.941132E-02 -3.111790E+00 -1.223212E+00  9.527714E-01 -4.045486E-02  1.526837E+00
    3.80  2.444410E-02 -3.116774E+00 -1.306817E+00  7.993851E-01 -1.382689E-01  1.517208E+00
    4.00  2.141285E-02 -3.119814E+00 -1.344919E+00  7.187624E-01 -1.954126E-01  1.511513E+00
 [INCIDENCE_FKFM_PH_010]   135.0000
    1.00 -3.013694E+00  2.426581E-01  3.849297E-01 -2.573452E+00 -2.827113E+00 -5.151701E-01
    2.00  4.640732E-01 -2.683423E+00 -1.238745E+00  1.630197E-01 -1.438592E+00 -1.697437E+00
    3.00  1.069508E-01 -3.033369E+00  1.043865E+00  2.253218E+00  5.580893E-01  1.585244E+00
    3.50  5.917978E-02 -3.081819E+00 -9.171345E-01  1.388552E+00  1.906562E-01  1.546060E+00
    3.80  4.460144E-02 -3.096521E+00 -1.137326E+00  1.136223E+00  6.755590E-02  1.533183E+00
    4.00  3.746605E-02 -3.103708E+00 -1.215411E+00  1.013496E+00  1.450539E-03  1.526786E+00
 [INCIDENCE_FKFM_PH_011]   150.0000
    1.00  2.399331E+00 -2.524753E-01  7.657914E-01  8.663094E-01  2.707507E+00 -4.315996E-01
    2.00  5.691199E-01 -2.556089E+00 -3.110142E-01  1.426863E+00  3.511791E-01  1.418595E+00
    3.00  1.226964E+00 -1.904693E+00  1.703110E+00  3.103325E+00  1.136512E+00  1.678525E+00
    3.50  9.954643E-02 -3.040951E+00 -2.137117E-01  1.818246E+00  3.767805E-01  1.571862E+00
    3.80  6.842327E-02 -3.072429E+00 -9.116309E-01  1.428649E+00  2.112994E-01  1.548968E+00
    4.00  5.537081E-02 -3.085613E+00 -1.070841E+00  1.255877E+00  1.306753E-01  1.539169E+00
 [INCIDENCE_FKFM_PH_012]   165.0000
    1.00 -2.112689E+00 -2.485930E+00 -3.101909E+00  1.962118E+00 -2.259188E+00  9.342043E-01
    2.00  2.259120E+00 -9.233954E-01  1.319709E+00  2.451569E+00  9.298527E-01  1.842719E+00
    3.00 -3.128697E+00  1.060772E-02  1.923470E+00 -2.740488E+00  1.891214E+00  1.816288E+00
    3.50  1.409340E-01 -2.998466E+00  7.241673E-01  2.161229E+00  5.185475E-01  1.597119E+00
    3.80  8.923531E-02 -3.051054E+00 -6.403799E-01  1.643721E+00  3.059769E-01  1.562622E+00
    4.00  7.024336E-02 -3.070337E+00 -9.332945E-01  1.424557E+00  2.109804E-01  1.548966E+00
 [INCIDENCE_FKFM_PH_013]   180.0000
    1.00 -2.936407E+00 -2.113967E+00  1.861012E+00  1.088740E+00  2.056696E+00  8.041272E-01
    2.00  2.741891E+00 -2.515068E+00  1.623966E+00  1.262710E+00  1.261692E+00  1.681191E+00
    3.00 -3.074764E+00 -2.563999E+00  1.994344E+00  5.962987E-01  2.188623E+00 -2.751168E+00
    3.50  1.603665E-01 -2.168167E+00  9.889119E-01  9.760706E-01  5.750666E-01 -1.545149E+00
    3.80  9.776497E-02 -2.011358E+00 -4.959364E-01  1.009974E+00  3.402276E-01 -1.162809E+00
    4.00  7.613564E-02 -1.925351E+00 -8.708060E-01  1.010015E+00  2.389889E-01 -1.004838E+00
 [RAO]
 [INCIDENCE_RAO_MOD_001]   0.000000
    1.00  1.155085E-03  1.440376E-05  1.211248E-04  1.928343E-04  2.667228E-03  2.428327E-04
    2.00  9.543112E-03  5.405731E-05  1.049206E-02  7.370806E-04  2.325931E-01  2.057505E-04
    3.00  4.020749E-02  2.223541E-05  1.752053E-01  1.494371E-03  1.767812E+00  4.185866E-04
    3.50  1.128013E-01  5.240787E-05  3.645639E-01  1.491153E-03  8.468108E+00  1.833155E-03
    3.80  2.857441E-01  7.221872E-05  4.097328E-01  1.693638E-03  1.768798E+01  3.218365E-03
    4.00  5.201184E-01  1.562733E-04  5.681335E-01  2.456356E-03  2.504957E+01  4.258584E-03
 [INCIDENCE_RAO_MOD_002]   15.00000
    1.00  6.089890E-05  4.041324E-05  4.707612E-05  1.518962E-03  1.072383E-03  1.650860E-03
    2.00  6.972628E-03  1.455344E-03  7.814049E-03  1.178071E-01  2.547857E-01  4.584964E-02
    3.00  4.031930E-02  4.596776E-03  1.786212E-01  5.287302E-01  1.689133E+00  1.712766E-01
    3.50  1.142062E-01  2.039141E-02  3.365565E-01  6.491770E-01  9.129398E+00  4.322696E-01
    3.80  2.927262E-01  3.446597E-02  3.744752E-01  8.663129E-01  1.833971E+01  4.988068E-01
    4.00  5.281159E-01  4.191536E-02  5.632730E-01  1.050974E+00  2.552244E+01  5.242960E-01
 [INCIDENCE_RAO_MOD_003]   30.00000
    1.00  7.571017E-05  8.921365E-05  3.181267E-05  2.187195E-03  1.158233E-03  1.893871E-03
    2.00  6.408660E-03  4.197089E-03  4.854513E-03  2.656530E-01  2.355890E-01  7.209081E-02
    3.00  3.623845E-02  4.086707E-03  1.727256E-01  9.420457E-01  2.115452E+00  5.179494E-01
    3.50  1.138952E-01  5.654430E-02  2.309822E-01  1.391319E+00  1.086608E+01  9.153055E-01
    3.80  3.070418E-01  8.216270E-02  2.694251E-01  1.874008E+00  1.986003E+01  9.835932E-01
    4.00  5.418407E-01  9.482738E-02  5.678933E-01  2.236429E+00  2.644102E+01  1.003343E+00
 [INCIDENCE_RAO_MOD_004]   45.00000
    1.00  3.112019E-04  2.208308E-04  9.656279E-05  3.001033E-03  1.522710E-03  9.528373E-04
    2.00  7.439251E-03  5.505584E-03  8.695912E-03  2.956469E-01  3.342245E-02  1.070126E-01
    3.00  2.089382E-02  4.412441E-02  1.138294E-01  1.328740E+00  3.602946E+00  1.096979E+00
    3.50  1.024059E-01  1.218861E-01  4.448903E-02  2.403948E+00  1.272746E+01  1.368209E+00
    3.80  3.119198E-01  1.514433E-01  2.508231E-01  3.100945E+00  2.094773E+01  1.350229E+00
    4.00  5.342476E-01  1.644662E-01  6.579041E-01  3.582063E+00  2.640648E+01  1.326574E+00
 [INCIDENCE_RAO_MOD_005]   60.00000
    1.00  4.944613E-04  5.854625E-04  3.094701E-04  5.229513E-03  3.261216E-03  7.609534E-03
    2.00  1.234053E-02  1.789363E-02  2.599215E-03  4.128643E-01  1.005758E-01  1.795115E-01
    3.00  2.927523E-02  1.367727E-01  7.610639E-02  2.241272E+00  4.757339E+00  1.563909E+00
    3.50  9.095404E-02  2.153646E-01  3.891747E-01  3.623549E+00  1.304000E+01  1.507749E+00
    3.80  2.941737E-01  2.370076E-01  5.996826E-01  4.366079E+00  1.975513E+01  1.380591E+00
    4.00  4.767708E-01  2.443690E-01  9.148524E-01  4.871712E+00  2.362049E+01  1.309886E+00
 [INCIDENCE_RAO_MOD_006]   75.00000
    1.00  3.050664E-04  7.797883E-04  2.152555E-04  8.446299E-03  2.212224E-03  4.607193E-03
    2.00  7.502478E-03  2.182926E-02  7.774420E-03  3.046043E-01  9.134656E-02  3.333619E-01
    3.00  5.280402E-02  2.528484E-01  2.796813E-01  3.314475E+00  3.982471E+00  1.225422E+00
    3.50  1.303065E-01  3.065644E-01  8.301581E-01  4.553713E+00  1.037241E+01  1.032320E+00
    3.80  2.661846E-01  3.133122E-01  1.084051E+00  5.234981E+00  1.493207E+01  9.022309E-01
    4.00  3.680125E-01  3.123874E-01  1.289595E+00  5.710169E+00  1.696977E+01  8.358430E-01
 [INCIDENCE_RAO_MOD_007]   90.00000
    1.00  1.082990E-04  1.645625E-03  4.550895E-04  6.872447E-03  5.103264E-03  6.480805E-03
    2.00  1.888476E-03  2.789457E-02  1.457061E-02  5.011175E-01  9.508368E-02  3.320678E-01
    3.00  5.791133E-02  3.069314E-01  4.153581E-01  3.606066E+00  1.803303E+00  2.023727E-01
    3.50  1.862132E-01  3.456450E-01  1.158651E+00  4.742662E+00  5.219076E+00  2.456371E-01
    3.80  2.537753E-01  3.449902E-01  1.494500E+00  5.377569E+00  6.898906E+00  2.374161E-01
    4.00  2.587142E-01  3.402025E-01  1.635539E+00  5.827163E+00  7.117469E+00  2.363635E-01
 [INCIDENCE_RAO_MOD_008]   105.0000
    1.00  2.721454E-04  7.692497E-04  2.134624E-04  8.468063E-03  2.150082E-03  4.897453E-03
    2.00  7.034107E-03  2.136637E-02  8.029464E-03  3.147314E-01  9.131823E-02  3.376528E-01
    3.00  5.771365E-02  2.475226E-01  3.689541E-01  2.948991E+00  3.058778E+00  1.379325E+00
    3.50  1.903384E-01  3.063703E-01  1.224415E+00  4.153727E+00  3.941759E+00  1.113143E+00
    3.80  2.412987E-01  3.143303E-01  1.676729E+00  4.794324E+00  2.577918E+00  9.726121E-01
    4.00  2.250113E-01  3.139638E-01  1.817757E+00  5.244136E+00  3.618723E+00  9.106740E-01
 [INCIDENCE_RAO_MOD_009]   120.0000
    1.00  5.087464E-04  5.999908E-04  3.053628E-04  5.429366E-03  3.335650E-03  7.500575E-03
    2.00  1.276643E-02  1.780907E-02  2.562005E-03  3.931832E-01  9.460738E-02  1.805619E-01
    3.00  4.558902E-02  1.289391E-01  1.895128E-01  1.772779E+00  4.285554E+00  1.675387E+00
    3.50  1.311613E-01  2.142140E-01  1.028737E+00  3.033062E+00  7.921155E+00  1.591746E+00
    3.80  2.010054E-01  2.379159E-01  1.595421E+00  3.706795E+00  9.699256E+00  1.452829E+00
    4.00  2.483390E-01  2.463190E-01  1.790043E+00  4.168846E+00  1.233791E+01  1.381845E+00
 [INCIDENCE_RAO_MOD_010]   135.0000
    1.00  3.141714E-04  2.500205E-04  9.463843E-05  3.426548E-03  1.494085E-03  8.887869E-04
    2.00  7.235645E-03  5.862423E-03  8.651688E-03  2.844990E-01  3.924297E-02  1.099257E-01
    3.00  4.008859E-02  3.784182E-02  6.549257E-02  9.875882E-01  3.655266E+00  1.160183E+00
    3.50  4.894876E-02  1.197269E-01  7.099177E-01  1.836933E+00  9.870118E+00  1.442021E+00
    3.80  1.488340E-01  1.514246E-01  1.342835E+00  2.465530E+00  1.388437E+01  1.414672E+00
    4.00  2.678438E-01  1.656876E-01  1.609091E+00  2.902172E+00  1.771494E+01  1.387518E+00
 [INCIDENCE_RAO_MOD_011]   150.0000
    1.00  1.224645E-04  2.617594E-05  3.329404E-05  1.327198E-03  1.102719E-03  1.620872E-03
    2.00  5.881251E-03  4.283003E-03  5.312441E-03  2.579506E-01  2.351108E-01  7.341178E-02
    3.00  4.454003E-02  7.410105E-03  1.385242E-01  7.919987E-01  2.405684E+00  5.471520E-01
    3.50  3.238901E-02  5.436562E-02  4.235383E-01  9.831960E-01  9.836581E+00  9.670576E-01
    3.80  1.211327E-01  8.148120E-02  1.060167E+00  1.408885E+00  1.535239E+01  1.030406E+00
    4.00  2.741622E-01  9.518769E-02  1.383582E+00  1.739043E+00  2.004484E+01  1.046560E+00
 [INCIDENCE_RAO_MOD_012]   165.0000
    1.00  4.588906E-05  1.297342E-05  4.859946E-05  1.606399E-03  1.082996E-03  1.158957E-03
    2.00  5.353695E-03  1.622027E-03  7.508004E-03  1.137885E-01  2.608843E-01  4.702105E-02
    3.00  4.379019E-02  7.459669E-03  1.765221E-01  4.701339E-01  1.816068E+00  1.824587E-01
    3.50  6.608622E-02  1.915762E-02  2.554993E-01  4.526621E-01  9.141051E+00  4.573480E-01
    3.80  1.206758E-01  3.389686E-02  8.563817E-01  6.308332E-01  1.543694E+01  5.222270E-01
    4.00  2.747241E-01  4.193217E-02  1.210950E+00  7.988080E-01  2.062647E+01  5.459561E-01
 [INCIDENCE_RAO_MOD_013]   180.0000
    1.00  1.154252E-03  1.417866E-05  1.198170E-04  1.891864E-04  2.716390E-03  2.401126E-04
    2.00  8.056024E-03  4.107130E-05  1.023516E-02  6.630818E-04  2.408875E-01  2.110988E-04
    3.00  4.225922E-02  9.163842E-05  1.843364E-01  1.889472E-03  1.772237E+00  2.435422E-04
    3.50  7.687963E-02  5.410390E-05  2.081931E-01  2.511472E-03  8.798828E+00  1.523410E-03
    3.80  1.236831E-01  6.187965E-05  7.840667E-01  4.808833E-03  1.531942E+01  2.604835E-03
    4.00  2.744367E-01  1.140601E-04  1.147718E+00  5.646073E-03  2.066650E+01  3.390348E-03
 [INCIDENCE_RAO_PH_001]   0.000000
    1.00  2.897854E+00  2.100645E+00 -1.540234E+00 -1.136965E+00 -1.717881E+00 -8.234954E-01
    2.00 -3.112269E+00  2.427292E+00 -1.720943E+00 -1.331356E+00 -1.300370E+00 -1.885611E+00
    3.00  1.924227E+00 -6.367564E-01 -2.490819E+00 -7.167416E-01 -2.754277E+00  2.176668E+00
    3.50  1.497505E+00  2.176619E-01 -2.863863E+00 -1.055653E+00 -1.521421E+00  1.736723E+00
    3.80  1.529361E+00  1.146456E+00  2.427808E+00 -6.701412E-01 -1.649037E+00  1.414529E+00
    4.00  1.336210E+00  1.059054E+00  1.428620E+00 -5.817528E-01 -1.933795E+00  1.096047E+00
 [INCIDENCE_RAO_PH_002]   15.00000
    1.00  2.270197E+00  1.067743E-01 -2.886539E+00  1.340572E+00  2.241747E+00  2.494341E+00
    2.00 -2.785445E+00 -2.468894E+00 -1.459763E+00  5.713544E-01 -9.829543E-01  1.115154E+00
    3.00  1.930241E+00  2.738565E+00 -2.426714E+00 -5.753770E-01 -2.455884E+00  1.052753E+00
    3.50  1.538823E+00 -6.994839E-01 -2.833123E+00  6.411338E-01 -1.464572E+00  1.295573E+00
    3.80  1.558180E+00 -6.262202E-01  2.370917E+00  1.141162E+00 -1.625003E+00  1.406410E+00
    4.00  1.353750E+00 -5.807891E-01  1.346138E+00  1.365671E+00 -1.918331E+00  1.473464E+00
 [INCIDENCE_RAO_PH_003]   30.00000
    1.00 -2.373920E+00 -1.458688E+00 -2.959137E-01  2.026668E+00 -2.776237E+00 -3.009160E+00
    2.00 -8.457785E-01 -8.778422E-01  4.568396E-01  1.620889E+00 -4.508548E-01  1.532871E+00
    3.00  1.870592E+00 -1.351252E+00 -2.254751E+00 -1.628928E-01 -1.650519E+00  1.183693E+00
    3.50  1.666377E+00 -6.522875E-01 -2.718299E+00  9.922774E-01 -1.328213E+00  1.319700E+00
    3.80  1.644106E+00 -6.027737E-01  2.061906E+00  1.375202E+00 -1.561624E+00  1.420888E+00
    4.00  1.406329E+00 -5.649238E-01  1.076817E+00  1.548237E+00 -1.876569E+00  1.486487E+00
 [INCIDENCE_RAO_PH_004]   45.00000
    1.00  2.928391E+00  2.926552E+00 -3.702874E-01 -5.315142E-01  2.777207E+00 -2.756750E+00
    2.00 -5.984416E-01 -7.156534E-01  1.211743E+00  2.876267E+00  1.565017E+00 -1.617463E+00
    3.00  1.333279E+00 -6.492829E-01 -1.916406E+00  6.482596E-01 -1.041556E+00  1.278713E+00
    3.50  1.944948E+00 -6.009297E-01 -1.097913E+00  1.444168E+00 -1.162137E+00  1.349692E+00
    3.80  1.796839E+00 -5.726738E-01  9.147847E-01  1.684673E+00 -1.475146E+00  1.441943E+00
    4.00  1.499017E+00 -5.424495E-01  6.426773E-01  1.799978E+00 -1.818506E+00  1.505800E+00
 [INCIDENCE_RAO_PH_005]   60.00000
    1.00  1.596262E+00  1.564739E+00 -1.804554E+00 -1.572890E+00  1.847346E+00  1.390105E+00
    2.00 -2.987455E+00  3.015358E+00 -2.579141E-01 -1.132303E+00  2.481285E+00 -2.210042E+00
    3.00 -3.731213E-01 -5.357451E-01  2.401915E-01  1.540689E+00 -6.662807E-01  1.334713E+00
    3.50  2.604694E+00 -5.567031E-01  2.727461E-01  1.892301E+00 -9.787524E-01  1.387053E+00
    3.80  2.054580E+00 -5.430784E-01  2.598948E-01  2.023451E+00 -1.375075E+00  1.476785E+00
    4.00  1.655136E+00 -5.190496E-01  2.430286E-01  2.091095E+00 -1.753519E+00  1.541768E+00
 [INCIDENCE_RAO_PH_006]   75.00000
    1.00  6.596746E-01  5.928359E-01 -2.112002E+00 -2.637262E+00  1.552124E-01  1.872003E+00
    2.00  1.799940E+00  1.763676E+00 -2.117923E+00  9.358990E-01  2.582258E+00  1.748388E+00
    3.00 -1.069029E+00 -4.787760E-01  9.153101E-01  2.216976E+00 -2.785740E-01  1.397584E+00
    3.50 -2.937777E+00 -5.205793E-01  4.160089E-01  2.332886E+00 -7.442174E-01  1.484090E+00
    3.80  2.463836E+00 -5.159783E-01  1.146746E-01  2.385190E+00 -1.257366E+00  1.584685E+00
    4.00  1.939376E+00 -4.965048E-01 -1.916409E-03  2.414176E+00 -1.690361E+00  1.659121E+00
 [INCIDENCE_RAO_PH_007]   90.00000
    1.00 -1.285602E+00 -1.880550E-02  1.571727E+00  3.087457E+00  1.574096E+00  3.112791E+00
    2.00  1.708850E+00 -2.692323E-01 -1.627077E+00  3.046287E+00 -1.684452E+00 -1.825714E-01
    3.00 -1.835413E+00 -4.389272E-01  1.128737E+00  2.839197E+00  7.512140E-01 -3.025812E+00
    3.50 -2.633427E+00 -4.874196E-01  5.198078E-01  2.790858E+00 -2.462173E-01  2.988011E+00
    3.80  2.958144E+00 -4.890871E-01  8.553123E-02  2.773211E+00 -1.064506E+00  3.047802E+00
    4.00  2.486441E+00 -4.733543E-01 -1.338429E-01  2.766466E+00 -1.660194E+00  3.119160E+00
 [INCIDENCE_RAO_PH_008]   105.0000
    1.00  2.608444E+00 -5.971761E-01 -1.017449E+00  2.589075E+00  2.981892E+00 -1.876061E+00
    2.00  1.233258E+00 -2.265743E+00 -1.125384E+00 -1.063683E+00  3.497305E-01 -2.142952E+00
    3.00 -2.666963E+00 -3.892198E-01  1.324602E+00 -2.800227E+00  2.363147E+00 -2.026584E+00
    3.50 -2.507970E+00 -4.485869E-01  6.238050E-01 -3.022748E+00  1.493092E+00 -2.097529E+00
    3.80 -2.892280E+00 -4.576578E-01  9.852839E-02 -3.109158E+00  1.516641E+00 -2.051690E+00
    4.00 -3.003654E+00 -4.463034E-01 -2.026610E-01  3.132298E+00  1.785087E+00 -2.013251E+00
 [INCIDENCE_RAO_PH_009]   120.0000
    1.00  1.583595E+00 -1.569468E+00 -1.327545E+00  1.553641E+00  1.288347E+00 -1.459256E+00
    2.00 -2.443228E-01  2.793308E+00 -2.892851E+00  9.132998E-01  4.389777E-01  1.808557E+00
    3.00  2.803290E+00 -2.934561E-01  1.653398E+00 -2.060881E+00  2.856452E+00 -1.965861E+00
    3.50 -2.395880E+00 -3.943620E-01  7.443724E-01 -2.555048E+00  2.172162E+00 -2.004302E+00
    3.80 -2.501185E+00 -4.168139E-01  1.337991E-01 -2.717130E+00  1.976106E+00 -1.951393E+00
    4.00 -2.370476E+00 -4.122066E-01 -2.359862E-01 -2.795263E+00  1.752862E+00 -1.908354E+00
 [INCIDENCE_RAO_PH_010]   135.0000
    1.00  1.133223E-01 -2.907803E+00 -2.799319E+00  5.065379E-01  3.449683E-01  2.579511E+00
    2.00 -2.575412E+00  1.185312E-01  1.822706E+00 -3.049384E+00  1.388477E+00  1.269784E+00
    3.00  1.825221E+00 -3.711414E-02 -3.080914E+00 -9.858620E-01 -3.039124E+00 -1.897702E+00
    3.50 -2.065098E+00 -3.161516E-01  9.005282E-01 -2.060996E+00  2.432914E+00 -1.959448E+00
    3.80 -2.024498E+00 -3.642602E-01  1.828885E-01 -2.340145E+00  2.110099E+00 -1.912818E+00
    4.00 -1.942250E+00 -3.703880E-01 -2.490325E-01 -2.465342E+00  1.809990E+00 -1.871653E+00
 [INCIDENCE_RAO_PH_011]   150.0000
    1.00 -7.751899E-01  2.860466E+00 -2.923839E+00 -2.232965E+00 -3.835168E-01  2.683515E+00
    2.00 -2.587917E+00  4.349418E-01  2.511802E+00 -1.823853E+00 -2.881807E+00 -1.931458E+00
    3.00  1.273690E+00  1.588984E+00 -1.999535E+00 -8.103180E-02 -2.519788E+00 -1.781754E+00
    3.50 -1.802111E-02 -2.105403E-01  1.127669E+00 -1.517447E+00  2.612351E+00 -1.918967E+00
    3.80 -1.437702E+00 -3.039036E-01  2.382412E-01 -1.983793E+00  2.205158E+00 -1.885682E+00
    4.00 -1.636737E+00 -3.251867E-01 -2.515473E-01 -2.174768E+00  1.866955E+00 -1.849391E+00
 [INCIDENCE_RAO_PH_012]   165.0000
    1.00  1.107731E+00  8.211117E-01 -2.136970E-01 -1.184802E+00  9.222205E-01 -2.236889E+00
    2.00 -3.187771E-01  2.015237E+00 -1.855316E+00 -7.913384E-01 -2.333165E+00 -1.489495E+00
    3.00  1.084896E+00  2.496573E+00 -1.758434E+00  3.162885E-01 -1.874582E+00 -1.624145E+00
    3.50  4.036632E-01 -9.652138E-02  1.449678E+00 -1.068487E+00  2.737928E+00 -1.883875E+00
    3.80 -1.004922E+00 -2.501645E-01  2.868009E-01 -1.703313E+00  2.269193E+00 -1.864455E+00
    4.00 -1.444980E+00 -2.875948E-01 -2.503061E-01 -1.960878E+00  1.908437E+00 -1.833428E+00
 [INCIDENCE_RAO_PH_013]   180.0000
    1.00  2.360773E-01  9.963534E-01 -1.607534E+00 -2.080053E+00 -1.428669E+00 -2.357787E+00
    2.00 -2.472401E-02  5.674849E-01 -1.571322E+00 -2.002475E+00 -2.019043E+00 -1.792362E+00
    3.00  1.041399E+00  2.436686E-02 -1.689508E+00 -2.752940E+00 -1.593075E+00  2.605979E+00
    3.50  4.669013E-01 -1.296133E+00  1.649049E+00 -1.718688E+00  2.785803E+00 -9.708977E-02
    3.80 -8.656723E-01  6.111803E-01  3.073583E-01 -1.792679E+00  2.292526E+00 -8.031778E-01
    4.00 -1.379139E+00 -6.318855E-02 -2.494140E-01 -1.975322E+00  1.923782E+00 -1.195381E+00
 [DRIFT_FORCES_AND_MOMENTS]
 [INCIDENCE_DFM_001]   0.000000
    1.00  3.847296E+04  1.014310E+03 -8.411951E+03 -6.518682E+02 -1.422957E+04 -8.011388E+03
    2.00  2.866134E+04 -9.788795E+01 -2.034903E+04 -6.242541E+00 -1.147842E+05  6.887834E+02
    3.00  1.762861E+04 -9.851854E+01 -4.223129E+04 -5.625682E+01 -2.800678E+05  1.123055E+03
    3.50  4.242239E+04 -1.762367E+02 -4.331803E+04 -4.805254E+01 -3.549804E+05  1.783239E+03
    3.80  1.059368E+05 -2.722484E+02 -2.556459E+03 -9.532238E+01 -3.037541E+05  2.204314E+03
    4.00  1.450627E+05 -3.672850E+02  6.498991E+04 -1.624689E+02 -1.904519E+05  1.989062E+03
 [INCIDENCE_DFM_002]   15.00000
    1.00  1.990116E+04  2.044249E+04 -2.046227E+04  1.252088E+04  6.582135E+03 -2.286397E+04
    2.00  2.726816E+04  5.123324E+03 -2.568982E+04 -1.608146E+03 -1.160192E+05 -2.589011E+04
    3.00  1.675471E+04  5.098844E+03 -4.446357E+04 -2.920234E+03 -2.671966E+05 -3.349166E+04
    3.50  4.471280E+04  1.093396E+04 -4.423624E+04  3.511568E+03 -3.464539E+05 -2.805143E+04
    3.80  1.079857E+05  2.159729E+04  9.753906E+00  6.412303E+03 -2.706119E+05 -4.899825E+04
    4.00  1.432504E+05  3.080074E+04  6.898298E+04  1.355364E+04 -1.414114E+05 -8.107572E+04
 [INCIDENCE_DFM_003]   30.00000
    1.00  3.441532E+04  3.466057E+04 -2.574796E+04  2.195954E+04  4.394244E+03 -8.727211E+04
    2.00  2.211220E+04  1.770273E+04 -3.742695E+04 -4.310220E+03 -1.014630E+05 -5.730323E+04
    3.00  1.466016E+04  1.491983E+04 -5.249086E+04 -6.346429E+03 -2.393155E+05 -4.226082E+04
    3.50  4.989734E+04  2.502118E+04 -4.616070E+04  5.019978E+03 -3.075661E+05 -3.536196E+04
    3.80  1.092821E+05  4.628954E+04  6.843113E+03  8.851061E+03 -1.556827E+05 -1.033336E+05
    4.00  1.321914E+05  6.322082E+04  7.738286E+04  1.872579E+04  1.107621E+04 -1.621208E+05
 [INCIDENCE_DFM_004]   45.00000
    1.00  1.506167E+04  2.563230E+04 -3.327706E+04  2.802275E+04  4.053425E+04 -1.426034E+05
    2.00  1.495460E+04  4.069165E+04 -4.088091E+04 -1.103994E+04 -1.074156E+05 -9.692080E+04
    3.00  1.165497E+04  3.205394E+04 -6.368291E+04 -1.235505E+04 -2.107712E+05 -1.409768E+04
    3.50  5.129753E+04  4.255263E+04 -4.752475E+04 -8.302894E+02 -2.098904E+05 -4.684828E+04
    3.80  9.719914E+04  7.193030E+04  1.290156E+04 -7.105239E+02  4.964663E+04 -1.924359E+05
    4.00  1.004279E+05  9.227709E+04  7.869284E+04  3.422253E+03  2.421988E+05 -2.521150E+05
 [INCIDENCE_DFM_005]   60.00000
    1.00  2.200423E+04  7.827201E+04 -2.650653E+04  3.407587E+03  4.410142E+04 -1.418722E+05
    2.00  7.132683E+03  6.327451E+04 -4.152479E+04 -6.306680E+03 -9.594788E+04 -1.336403E+05
    3.00  7.439729E+03  5.013122E+04 -6.370591E+04 -1.888692E+04 -1.794275E+05  1.994844E+03
    3.50  4.040312E+04  5.998814E+04 -5.138441E+04 -1.659381E+04 -8.485205E+04 -1.319952E+05
    3.80  6.374989E+04  9.168823E+04  6.512044E+03 -2.620482E+04  2.473421E+05 -3.343047E+05
    4.00  4.869721E+04  1.093821E+05  5.815858E+04 -3.469583E+04  4.176994E+05 -3.472352E+05
 [INCIDENCE_DFM_006]   75.00000
    1.00  1.180107E+04  8.869915E+04 -2.570891E+04 -3.895254E+03  3.814804E+04 -6.136564E+04
    2.00 -1.785403E+03  1.021763E+05 -6.066677E+04  4.599981E+02 -1.345324E+05 -1.081255E+05
    3.00  3.672114E+03  5.924064E+04 -5.486283E+04 -2.461061E+04 -1.822040E+05 -4.606066E+04
    3.50  2.030919E+04  7.318227E+04 -6.538770E+04 -3.306930E+04 -5.975134E+04 -2.521208E+05
    3.80  2.330178E+04  1.024027E+05 -1.819297E+04 -5.745180E+04  2.501007E+05 -4.382697E+05
    4.00  3.176926E+03  1.142519E+05  1.780184E+04 -7.527808E+04  3.591877E+05 -3.890810E+05
 [INCIDENCE_DFM_007]   90.00000
    1.00  1.824380E+03  9.222692E+04 -2.570937E+04 -7.869605E+03  2.767501E+04 -7.074490E+04
    2.00 -1.454416E+04  1.570567E+05 -1.016270E+05  1.364261E+04 -2.244580E+05 -6.444882E+04
    3.00 -2.189561E+02  5.966831E+04 -5.568070E+04 -2.683239E+04 -1.854136E+05 -5.407021E+04
    3.50  5.764986E+03  7.976081E+04 -8.379672E+04 -4.740515E+04 -1.396817E+05 -2.720098E+05
    3.80  1.051310E+03  1.088635E+05 -4.434088E+04 -8.359155E+04  6.001390E+04 -3.989414E+05
    4.00 -9.804242E+03  1.177736E+05 -1.336435E+04 -9.827494E+04  1.124662E+05 -3.369388E+05
 [INCIDENCE_DFM_008]   105.0000
    1.00 -4.224867E+03  8.951057E+04 -2.365167E+04 -7.428988E+03 -1.236174E+02 -2.060633E+04
    2.00 -1.470842E+04  1.270717E+05 -7.038779E+04  5.613854E+02 -1.556175E+05 -1.127621E+04
    3.00 -4.950703E+03  5.631384E+04 -5.462653E+04 -2.653768E+04 -1.241908E+05 -4.130366E+04
    3.50  1.986699E+03  7.894113E+04 -8.861757E+04 -5.867187E+04 -1.373150E+05 -2.349171E+05
    3.80 -1.352463E+03  1.123260E+05 -4.984760E+04 -9.547759E+04 -4.096575E+04 -2.922356E+05
    4.00 -4.107168E+02  1.234886E+05 -1.125072E+04 -1.028431E+05 -1.067363E+04 -2.529595E+05
 [INCIDENCE_DFM_009]   120.0000
    1.00 -7.292365E+03  9.370909E+04 -2.478488E+04 -3.706216E+03 -1.228163E+04  6.705520E+03
    2.00 -1.264620E+04  8.475925E+04 -3.937226E+04 -1.218868E+03 -7.867537E+04  3.692515E+04
    3.00 -5.475794E+03  5.362263E+04 -5.469920E+04 -7.407935E+03 -1.298310E+05 -7.364669E+04
    3.50  1.507129E+03  7.094513E+04 -7.758146E+04 -3.812052E+04 -8.749473E+03 -2.334323E+05
    3.80 -1.812008E+03  1.050749E+05 -3.696317E+04 -7.378275E+04  1.110663E+05 -2.301442E+05
    4.00  2.668914E+03  1.199641E+05  1.282452E+04 -8.589314E+04  1.712926E+05 -1.944410E+05
 [INCIDENCE_DFM_010]   135.0000
    1.00  1.484089E+03  4.779532E+04 -3.402163E+04  2.455124E+04 -3.894588E+04  1.164649E+05
    2.00 -1.196791E+04  6.249955E+04 -3.582364E+04  5.771604E+03 -5.175928E+04  5.842884E+04
    3.00 -4.114808E+03  4.603607E+04 -5.619594E+04  1.605006E+04 -1.625074E+05 -5.098694E+04
    3.50  1.236797E+02  5.498273E+04 -5.990527E+04  4.527600E+03  1.159787E+05 -2.142837E+05
    3.80 -7.060227E+03  8.293881E+04 -2.116228E+04 -2.758492E+04  3.649087E+05 -1.910321E+05
    4.00 -7.576875E+03  9.888148E+04  3.368163E+04 -4.985504E+04  5.020893E+05 -1.436359E+05
 [INCIDENCE_DFM_011]   150.0000
    1.00  2.317284E+03  5.316341E+04 -3.072006E+04  2.083799E+04  3.360109E+04  2.230285E+04
    2.00 -9.564209E+03  3.489242E+04 -3.689948E+04  1.361144E+04 -3.311247E+04  5.361470E+04
    3.00 -4.917194E+03  2.947155E+04 -4.568214E+04  1.568721E+04 -1.093379E+05 -4.924688E+03
    3.50 -1.073359E+03  3.453773E+04 -4.160662E+04  2.472521E+04  1.733619E+05 -1.476880E+05
    3.80 -1.181945E+04  5.302722E+04 -9.695639E+03  5.222872E+03  5.359909E+05 -1.345022E+05
    4.00 -1.974322E+04  6.607300E+04  4.240516E+04 -1.674031E+04  7.574364E+05 -8.809621E+04
 [INCIDENCE_DFM_012]   165.0000
    1.00  1.497676E+04  2.129895E+04 -3.231101E+04  2.038428E+04  7.495276E+04 -8.620914E+03
    2.00 -6.412617E+03  1.298003E+04 -3.011864E+04  1.067246E+04  1.442068E+04  3.489164E+04
    3.00 -6.680981E+03  1.288165E+04 -3.283211E+04  6.897698E+03 -3.618102E+04  9.010406E+03
    3.50 -1.648900E+03  1.570496E+04 -2.807778E+04  1.743810E+04  1.864701E+05 -6.933275E+04
    3.80 -1.352463E+04  2.456479E+04 -2.952170E+03  1.034456E+04  5.989635E+05 -6.678273E+04
    4.00 -2.649297E+04  3.170520E+04  4.391955E+04 -1.828149E+03  8.760826E+05 -3.935030E+04
 [INCIDENCE_DFM_013]   180.0000
    1.00 -5.906811E+03  2.120876E+03 -2.702266E+04 -1.005497E+02  1.349398E+05  6.835099E+03
    2.00 -5.055275E+03  8.420700E+00 -2.429053E+04  9.463076E+00  4.505334E+04  1.267614E+03
    3.00 -7.495284E+03 -1.714288E+02 -2.799757E+04  3.690970E+01 -8.814289E+03  1.388688E+03
    3.50 -1.834121E+03 -2.432890E+02 -2.321979E+04  2.853029E+01  1.870726E+05  1.524206E+03
    3.80 -1.371458E+04 -3.083248E+02 -6.912354E+02 -2.232421E+02  6.101291E+05  8.406668E+02
    4.00 -2.829986E+04 -3.998760E+02  4.380750E+04 -4.289895E+02  9.053923E+05  1.491807E+02
)";
}
